set log x
set log y
set xrange [1:1000]
set yrange [1:3000]
set grid

set terminal pngcairo size 1024, 1024
set output "times_e2.png"

plot "<paste data_e2 data_e1" \
        using 2:($3/$1/4) w l lw 2 t "linear, iterator, consecutive", \
     "" using 2:($4/$1/4) w l lw 2 t "linear, loop, consecutive", \
     "" using 2:($5/$1/4) w l lw 2 t "binary, consecutive", \
     "" using 2:($8/$1/4) w l lw 2 t "linear, iterator, spread", \
     "" using 2:($9/$1/4) w l lw 2 t "linear, loop, spread", \
     "" using 2:($10/$1/4) w l lw 2 t "binary, spread"

# plot "<paste data_d7 data_d8" \
#         using 2:(($8-$3)/$1/4) w l lw 2 t "linear, iterator", \
#      "" using 2:(($9-$4)/$1/4) w l lw 2 t "linear, loop", \
#      "" using 2:(($10-$5)/$1/4) w l lw 2 t "binary"
